#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-6kPbyi9Cw5CAjJCUkBY7Ps
key:                  ral-0.2.1-6kPbyi9Cw5CAjJCUkBY7Ps
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  ce8b900410da27485345026e07ca73dd
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-6kPbyi9Cw5CAjJCUkBY7Ps
depends:
    QuickCheck-2.14.3-CQrltMH9CDMIjEPyrki3TE
    adjunctions-4.4.2-DgCkPulwSuXDJKLKhcOwug base-4.15.1.0
    bin-0.1.3-EPExfRmkF1bIt7B1ntyfWY
    boring-0.2.1-K3fUOMTIFmCIZaRDZDt4bK deepseq-1.4.5.0
    distributive-0.6.2.1-7G7h4G2BcriEke8Zejm8iR
    fin-0.3-HaGlW3WvlNQ4Sru0F9uQtB
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    indexed-traversable-0.1.3-KAq8IYgFhXuDMojX4UB09F
    semigroupoids-5.3.7-GoTx94maRcpLxMeVXfADal

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

